<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SecondaryReasons StructType
 * Meta informations extracted from the WSDL
 * - documentation: additioanl reasons.
 * - minOccurs: 0
 * @subpackage Structs
 */
class SecondaryReasons extends AbstractStructBase
{
    /**
     * The Reason
     * @var \StructType\Reason
     */
    public $Reason;
    /**
     * Constructor method for SecondaryReasons
     * @uses SecondaryReasons::setReason()
     * @param \StructType\Reason $reason
     */
    public function __construct(\StructType\Reason $reason = null)
    {
        $this
            ->setReason($reason);
    }
    /**
     * Get Reason value
     * @return \StructType\Reason|null
     */
    public function getReason()
    {
        return $this->Reason;
    }
    /**
     * Set Reason value
     * @param \StructType\Reason $reason
     * @return \StructType\SecondaryReasons
     */
    public function setReason(\StructType\Reason $reason = null)
    {
        $this->Reason = $reason;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SecondaryReasons
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
